<?php
function smarty_block_MTLinkedEntry($args, $content, &$ctx, &$repeat) {
	require_once('rightfields_lib.php');
	$local = array('entry', 'current_timestamp', 'current_timestamp_end',
		'modification_timestamp');
	if (!isset($content)) {
		$field = get_field($args, $ctx);
		$mt_fields = mt_fields();
		if (array_search($field, $mt_fields)) {
			$entry = $ctx->stash('entry');
			if (!$entry) return '';
			$linked_id = $entry["entry_$field"];
		} else {
			$linked_id = extra_field_value($args, $ctx);
		}
		if (!$linked_id) return '';
		$ctx->localize($local);
		$linked_entry = $ctx->mt->db->fetch_entry($linked_id);
		$ctx->stash('entry', $linked_entry);
		$ctx->stash('current_timestamp', $linked_entry['entry_created_on']);
		$ctx->stash('current_timestamp_end', null);
		$ctx->stash('modification_timestamp', 
			$linked_entry['entry_modified_on']);
	} else {
		$ctx->restore($local);
	}
	return $content;	
}
?>
