<?php
function smarty_block_MTIfLinkingEntries($args, $content, &$ctx, &$repeat) {
	require_once('rightfields_lib.php');
	if (!isset($content)) {
		$show = 0;
		$entry = $ctx->stash('entry');
		if (!$entry || !$args['field']) return '';
		$blog_ids_str = $args['blog_ids'] ? $args['blog_ids'] : $args['blog_id'];
		$mt_fields = mt_fields();
		if (array_search($args['field'], $mt_fields)) {
			$sql = <<<SQL
SELECT count(*) FROM mt_entry
WHERE entry_{$args['field']} = {$entry['entry_id']}
SQL;
			if ($blog_ids_str) {
				$sql .= "AND entry_blog_id IN ($blog_ids_str)";
			}
			list($result) = $ctx->mt->db->get_results($sql, ARRAY_N);
			if ($result && $result[0]) {
				$show = 1;
			}
		} else {
			if ($blog_ids_str) {
				$blog_ids = explode(',', $blog_ids_str);
			}
			$cfg = blog_data($ctx->mt->db, 'extra', $blog_ids ? $blog_ids[0] : -1);
			if ($cfg->{'datasource'} != '_pseudo') {
				$sql = <<<SQL
SELECT count(distinct entry_id) FROM mt_{$cfg['datasource']}, mt_entry
WHERE {$cfg['datasource']}_{$args['field']} = {$entry['entry_id']}
AND {$cfg['datasource']}_id = entry_id
SQL;
				list($result) = $ctx->mt->db->get_results($sql, ARRAY_N);
				if ($result[0]) $show = 1;
			}
		}
		return $ctx->_hdlr_if($args, $content, $ctx, $repeat, $show);
	} else {
		return $ctx->_hdlr_if($args, $content, $ctx, $repeat);
	}
}
?>
